/*
 NOPCmd.h - dummy command class

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef NOPCMD_H
#define NOPCMD_H

#include "Cmd.h"
//#include <stream.h>


class NOPCmd : public Cmd
{
	protected:
		virtual void doCommand();
		virtual void undoCommand();
		
	public:
		NOPCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "NOPCmd" ); }
};

#endif

/*
  Notes:
  
  This merely reports whether the doCommand() and undoCommand() member functions
  have been called.
*/
