/*
 QuitCmd.h - exit an app after checking with user

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef QUITCMD_H
#define QUITCMD_H

#include "WarnNoUndoCmd.h"


class QuitCmd : public WarnNoUndoCmd
{
	protected:
		virtual void doCommand();	// call exit
		
	public:
		QuitCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "QuitCmd" ); }
};

#endif
